using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("隐患整改完成情况统计")]
    public partial class T_FM_HIDDEN_DANGER_RECTIFICATION : MesEntityBase
    {
        [Description("部门ID")]
        [FormFieldTable]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("部门名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string DEPARTMENT_NAME { get; set; }

        [Description("班组ID")]
        [FormFieldTable]
        public Guid? TEAM_ID { get; set; }

        [Description("班组名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string TEAM_NAME { get; set; }

        [Description("排名")]
        public int NUM { get; set; }

        [Description("总数量")]
        public int TOTAL_COUNT { get; set; }

        [Description("正常已办数")]
        public int FINISH_COUNT { get; set; }

        [Description("超时已办数")]
        public int OVER_FINISH_COUNT { get; set; }

        [Description("待办数")]
        public int WAITTING_COUNT { get; set; }

        [Description("开始时间")]
        public DateTime? START_TIME { get; set; }

        [Description("截止时间")]
        public DateTime? END_TIME { get; set; }
    }
}
